List workflow runs for a me
GET
/v1/me/workflow-runscurl -X GET 'https://api.embodiflow.io/v1/me/workflow-runs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- statusstring
- projectIdstring (uuid)
- definitionIdstring (uuid)
- triggerstring
- createdAfterstring
- createdBeforestring
响应
Success
- dataarray<TeamWorkflowRunDto>必填
- idstring必填
- projectIdstring | null必填
- projectobject | null必填
- statusstring必填
- modestring必填
- triggerstring | null必填
- runGroupIdstring | null必填
- recordingCountnumber必填
- workflowNamestring | null必填
- failedStepIdstring | null必填
- errorCodestring | null必填
- failureobject必填
- createdAtstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"projectId": "string",
"project": {
"id": "string",
"slug": "string",
"name": "string"
},
"status": "string",
"mode": "string",
"trigger": "string",
"runGroupId": "string",
"recordingCount": 0,
"workflowName": "string",
"failedStepId": "string",
"errorCode": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"createdAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1